Main Page Class Hierarchy Compound List File List Compound Members File Members

# chron3.h File Reference

`#include <time.h>`

Go to the source code of this file.

## Compounds
struct | Greg
## Defines
#define | GSEC1970 11676096000.00
## Functions
void | date20 (double, char *)
void | date17 (double, char *)
Greg * | datime (double, struct Greg *)
Greg * | gregor (long, struct Greg *)
Greg * | grg (long, struct Greg *)
long | julian (struct Greg *)
long | julmin (struct Greg *)
double | julsec17 (char *)
int | epochsec17 (double *, char *)
time_t | timegm (struct tm *)
double | tnow (void)

## Define Documentation

#define GSEC1970 11676096000.00

| Definition at line 25 of file chron3.h. Referenced by ArcMsg2EWEvent(), and epochsec17().

## Function Documentation

void date17 | ( | double | ,
|  | char * |
| ) |

| Definition at line 269 of file chron3.c. References Greg::day, grg(), Greg::hour, Greg::minute, Greg::month, and Greg::year. Referenced by make_datestr(), write_glevt_phasecard(), and write_glevt_sumcard().

void date20 | ( | double | ,
|  | char * |
| ) |

| Definition at line 206 of file chron3.c. References Greg::day, grg(), Greg::hour, Greg::minute, Greg::month, and Greg::year.

struct Greg* datime | ( | double | ,
|  | struct Greg * |
| ) |

| Definition at line 247 of file chron3.c. References datime(), gregor(), Greg::hour, min, Greg::minute, and Greg::second. Referenced by datime().

int epochsec17 | ( | double * | ,
|  | char * |
| ) |

| Definition at line 324 of file chron3.c. References GSEC1970, and julsec17(). Referenced by BuildPhs(), ParseNSNMsg(), ParsePhase(), read_glevt_phasecard(), read_glevt_sumcard(), SACPA_next_ev(), t_atodbl(), and timegm().

struct Greg* gregor | ( | long | ,
|  | struct Greg * |
| ) |

| Definition at line 147 of file chron3.c. References Greg::day, gregor(), julian(), min, mo, Greg::month, and Greg::year. Referenced by datime(), gregor(), and grg().

struct Greg* grg | ( | long | ,
|  | struct Greg * |
| ) |

| Definition at line 86 of file chron3.c. References gregor(), grg(), Greg::hour, min, and Greg::minute. Referenced by date17(), date20(), and grg().

long julian | ( | struct Greg * |  | ) |

| Definition at line 103 of file chron3.c. References Greg::day, mo, Greg::month, and Greg::year. Referenced by gregor(), and julmin().

long julmin | ( | struct Greg * |  | ) |

| Definition at line 78 of file chron3.c. References Greg::hour, julian(), and Greg::minute. Referenced by julsec17(), and tnow().

double julsec17 | ( | char * |  | ) |

| Definition at line 288 of file chron3.c. References Greg::day, Greg::hour, julmin(), Greg::minute, Greg::month, and Greg::year. Referenced by epochsec17(), read_hyp(), and read_phs().

time_t timegm | ( | struct tm * |  | ) |

| Definition at line 345 of file chron3.c. References epochsec17(). Referenced by rd_strongmotion(), and rd_strongmotionII().

double tnow | ( | void |  | ) |

| Definition at line 224 of file chron3.c. References Greg::day, Greg::hour, julmin(), Greg::minute, Greg::month, and Greg::year. Referenced by hrtime_ew().